<dialog aria-labelledby="fr-modal-editDistributionList-title" id="editDistributionListModal" class="fr-modal"
    role="dialog">
    <div class="fr-container fr-container--fluid fr-container-lg">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn" aria-controls="editDistributionListModal">
                            Fermer
                        </button>
                    </div>
                    <form method="post" action="{{ domain }}/action/update/distributionList" class="needs-validation"
                        enctype="multipart/form-data" novalidate>
                        <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                        <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                        <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                        <input type="hidden" name="distribution-id" value="" />

                        <div class="fr-modal__content">
                            <h1 id="fr-modal-editDistributionList-title" class="fr-modal__title">
                                &Eacute;diter une liste de diffusion
                            </h1>

                            <div class="fr-input-group">
                                <label class="fr-label" for="edit-distribution-title">Titre de la liste de
                                    diffusion</label>
                                <input class="fr-input" type="text" id="edit-distribution-title"
                                    name="distribution-title" required />
                                <p id="edit-distribution-title-input-error" class="fr-error-text">
                                    Veuillez saisir un titre de liste de diffusion.
                                </p>
                            </div>

                            <div class="fr-input-group">
                                <label class="fr-label" for="edit-distribution-description">Description de la liste de
                                    diffusion</label>
                                <textarea class="fr-input" type="color" id="edit-distribution-description"
                                    name="distribution-description" required></textarea>
                                <p id="edit-distribution-description-input-error" class="fr-error-text">
                                    Veuillez saisir une description.
                                </p>
                            </div>
                            <div class="fr-grid-row fr-grid-row--gutters fr-grid-row--middle fr-mb-3w">
                                <div class="fr-upload-group fr-col-6">
                                    <label class="fr-label" for="edit-distribution-image">Image d'illustration
                                        <span class="fr-hint-text">{{ fileUploadHintText }}<br>
                                            Vous pouvez ajouter une image d'illustration pour votre canal de
                                            communication.</span>
                                    </label>
                                    <input class="fr-upload" type="file" id="edit-distribution-image" name="distribution-image" accept="{{ fileUploadAccept }}" alue="{{ communication.image.name }}">
                                    <p id="distribution-image-input-error" class="fr-error-text">Format de fichier non
                                        support&eacute;</p>
                                </div>
                                <div class="fr-col-6 text-center">
                                    <img class="distribution-image" width="auto" src=""
                                        alt="image {{ label }}" title="{{ label }}" style="max-height:200px; display: none;" />
                                </div>
                            </div>

                            <div class="fr-select-group">
                                <label class="fr-label" for="edit-distribution-category">
                                    Cat&eacute;gorie
                                </label>
                                <select class="fr-select" id="edit-distribution-category" name="distribution-category">
                                    <option value="" selected disabled hidden></option>
                                    {% if categories|length > 0 %}
                                        {% for category in categories %}
                                            <option value="{{ category.id }}">{{ category.name }}</option>
                                        {% endfor %}
                                    {% else %}
                                        <option value="">Aucune cat&eacute;gorie, veuillez en cr&eacute;er une...</option>
                                    {% endif %}
                                </select>
                                <p id="edit-distribution-category-input-error" class="fr-error-text">
                                    Veuillez s&eacute;lectionner une cat&eacute;gorie.
                                </p>
                            </div>
                        </div>

                        <div class="fr-modal__footer">
                            <ul
                                class="fr-btns-group fr-btns-group--sm fr-btns-group--inline-lg fr-btns-group--icon-left">
                                <li>
                                    <button class="fr-btn fr-icon-check-line" type="submit">
                                        Enregistrer
                                    </button>
                                </li>
                                <li>
                                    <button class="fr-btn fr-icon-close-circle-line fr-btn--secondary"
                                        aria-controls="editDistributionListModal">
                                        Annuler
                                    </button>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</dialog>
